###########################################################################
# Copyright 2015-2019 Rogue Wave Software, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You may
# obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied. See the License for the specific language governing
# permissions and limitations under the License.
###########################################################################
"""Define constants for IMSL CNL MATH and STAT functions."""
# MATH constants
# Constants for ODEs
IMSL_ODE_INITIALIZE = 1
IMSL_ODE_CHANGE = 2
IMSL_ODE_RESET = 3

# Constants for DEAs
IMSL_DEA_INITIALIZE = 1
IMSL_DEA_RESET = 3

# Constants for PDEs
IMSL_PDE_INITIALIZE = 1
IMSL_PDE_CHANGE = 2
IMSL_PDE_RESET = 3

# Constants for fast_poisson_2d
IMSL_DIRICHLET_BC = 1
IMSL_NEUMANN_BC = 2
IMSL_PERIODIC_BC = 3
IMSL_RIGHT_SIDE = 0
IMSL_BOTTOM_SIDE = 1
IMSL_LEFT_SIDE = 2
IMSL_TOP_SIDE = 3

# Constants for imsl_page
IMSL_SET_PAGE_WIDTH = -1
IMSL_GET_PAGE_WIDTH = 1
IMSL_SET_PAGE_LENGTH = -2
IMSL_GET_PAGE_LENGTH = 2

# Constants for imsl_write_options
IMSL_SET_DEFAULTS = 0
IMSL_SET_CENTERING = -1
IMSL_GET_CENTERING = 1
IMSL_SET_ROW_WRAP = -2
IMSL_GET_ROW_WRAP = 2
IMSL_SET_PAGING = -3
IMSL_GET_PAGING = 3
IMSL_SET_NAN_CHAR = -4
IMSL_GET_NAN_CHAR = 4
IMSL_SET_TITLE_PAGE = -5
IMSL_GET_TITLE_PAGE = 5
IMSL_SET_FORMAT = -6
IMSL_GET_FORMAT = 6

# Constants for quadrature routines
IMSL_ALG = 1
IMSL_ALG_LEFT_LOG = 2
IMSL_ALG_RIGHT_LOG = 3
IMSL_ALG_LOG = 4
IMSL_INF_BOUND = 5
IMSL_BOUND_INF = 6
IMSL_INF_INF = 7
IMSL_COS = 8
IMSL_SIN = 9

# Constants for general sparse routines
IMSL_ROW_MARKOWITZ = 0
IMSL_COLUMN_MARKOWITZ = 1
IMSL_SYMMETRIC_MARKOWITZ = 2

# Constants for financial functions
IMSL_AT_END_OF_PERIOD = 0
IMSL_AT_BEGINNING_OF_PERIOD = 1
IMSL_BASISPART_30E360 = 0
IMSL_BASISPART_365 = 1
IMSL_BASISPART_ACTUAL = 2
IMSL_BASISPART_NASD = 3
IMSL_DAY_CNT_BASIS_ACTUALACTUAL = 0
IMSL_DAY_CNT_BASIS_NASD = 1
IMSL_DAY_CNT_BASIS_ACTUAL360 = 2
IMSL_DAY_CNT_BASIS_ACTUAL365 = 3
IMSL_DAY_CNT_BASIS_30E360 = 4
IMSL_ANNUAL = 1
IMSL_SEMIANNUAL = 2
IMSL_QUARTERLY = 4

# Constants for superlu
IMSL_NATURAL = 0
IMSL_MMD_ATA = 1
IMSL_MMD_AT_PLUS_A = 2
IMSL_COLAMD = 3
IMSL_PERMC = 4

# Constants for jacobian
IMSL_DD_ONE_SIDED = 0
IMSL_DD_CENTRAL = 1
IMSL_DD_SKIP = 3

# Keywords
IMSL_TRANSPOSE = 10001
IMSL_A_COL_DIM = 10003
IMSL_FACTOR = 10004
IMSL_FAC_COL_DIM = 10005
IMSL_FACTOR_ONLY = 10006
IMSL_SOLVE_ONLY = 10007
IMSL_BACKWARD = 10008
IMSL_PARAMS = 10009
IMSL_ERR_ABS = 10010
IMSL_ERR_REL = 10011
IMSL_ETA = 10012
IMSL_EPS = 10013
IMSL_GUESS = 10014
IMSL_ITMAX = 10016
IMSL_INFO = 10017
IMSL_NUM_ROOTS = 10018
IMSL_RULE = 10019
IMSL_ERR_EST = 10020
IMSL_MAX_SUBINTER = 10021
IMSL_N_SUBINTER = 10022
IMSL_N_EVALS = 10023
IMSL_ERR_LIST = 10024
IMSL_ERR_ORDER = 10025
IMSL_BREAKPOINTS = 10026
IMSL_COEFS = 10027
IMSL_DERIV = 10028
IMSL_CONCAVE = 10029
IMSL_PERIODIC = 10030
IMSL_LEFT = 10031
IMSL_RIGHT = 10032
IMSL_WEIGHT = 10033
IMSL_KNOTS = 10035
IMSL_ORDER = 10036
IMSL_OPT = 10037
IMSL_MIN_PROJECTION = 10038
IMSL_PRINT_ALL = 10040
IMSL_ROW_LABELS = 10042
IMSL_COL_LABELS = 10043
IMSL_WRITE_FORMAT = 10044
IMSL_X_COL_DIM = 10045
IMSL_COV_COL_DIM = 10046
IMSL_COEF_COVARIANCES = 10047
IMSL_COEF_COVARIANCES_USER = 10048
IMSL_RANK = 10049
IMSL_NO_INTERCEPT = 10050
IMSL_ANOVA_TABLE = 10051
IMSL_ANOVA_TABLE_USER = 10052
IMSL_TOLERANCE = 10053
IMSL_FREQUENCIES = 10054
IMSL_FREQUENCIES_USER = 10055
IMSL_BOUNDS = 10056
IMSL_N_PARAMETERS_ESTIMATED = 10057
IMSL_CUTPOINTS = 10058
IMSL_CUTPOINTS_USER = 10059
IMSL_CELL_COUNTS = 10060
IMSL_CELL_COUNTS_USER = 10061
IMSL_CELL_EXPECTED = 10062
IMSL_CELL_EXPECTED_USER = 10063
IMSL_CELL_CHI_SQUARED = 10064
IMSL_CELL_CHI_SQUARED_USER = 10065
IMSL_DEGREES_OF_FREEDOM = 10066
IMSL_FUZZ = 10068
IMSL_NORM = 10071
IMSL_TOL = 10072
IMSL_HINIT = 10073
IMSL_HMIN = 10074
IMSL_SCALE = 10075
IMSL_FLOOR = 10076
IMSL_MAX_NUMBER_STEPS = 10077
IMSL_MAX_NUMBER_FCN_EVALS = 10078
IMSL_NSTEP = 10081
IMSL_NFCN = 10082
IMSL_HTRIAL = 10083
IMSL_VNORM = 10084
IMSL_HMAX = 10085
IMSL_STAT_COL_DIM = 10086
IMSL_CONFIDENCE_MEANS = 10087
IMSL_CONFIDENCE_VARIANCES = 10088
IMSL_MEANS = 10090
IMSL_MEANS_USER = 10091
IMSL_COVARIANCE_COL_DIM = 10092
IMSL_VECTORS = 10094
IMSL_VECTORS_USER = 10095
IMSL_EVECU_COL_DIM = 10096
IMSL_RANGE = 10097
IMSL_INFO_USER = 10099
IMSL_XGUESS = 10100
IMSL_STEP = 10101
IMSL_BOUND = 10102
IMSL_MAX_FCN = 10103
IMSL_INIT_TRUST_REGION = 10104
IMSL_GRAD = 10105
IMSL_XSCALE = 10106
IMSL_FSCALE = 10107
IMSL_GRAD_TOL = 10108
IMSL_STEP_TOL = 10109
IMSL_REL_FCN_TOL = 10110
IMSL_MAX_STEP = 10111
IMSL_GOOD_DIGIT = 10112
IMSL_MAX_ITN = 10113
IMSL_MAX_GRAD = 10114
IMSL_INIT_HESSIAN = 10115
IMSL_FVALUE = 10116
IMSL_GVALUE = 10117
IMSL_JACOBIAN = 10118
IMSL_FNORM = 10119
IMSL_UPPER_LIMIT = 10121
IMSL_CONSTR_TYPE = 10122
IMSL_LOWER_BOUND = 10123
IMSL_UPPER_BOUND = 10124
IMSL_OBJ = 10125
IMSL_DUAL_USER = 10126
IMSL_DUAL = 10127
IMSL_H_COL_DIM = 10130
IMSL_ADD_TO_DIAG_H = 10131
IMSL_FDATA_COL_DIM = 10140
IMSL_WEIGHTS = 10141
IMSL_OPTIMIZE = 10143
IMSL_INTERCEPT = 10144
IMSL_SSE = 10145
IMSL_SMOOTHING_PAR = 10146
IMSL_SUR_COL_DIM = 10147
IMSL_OPT_ITMAX = 10148
IMSL_CONCAVE_ITMAX = 10149
IMSL_FACTOR_USER = 10151
IMSL_INVERSE = 10152
IMSL_INVERSE_USER = 10153
IMSL_INV_COL_DIM = 10154
IMSL_INVERSE_ONLY = 10155
IMSL_SSQ_POLY = 10156
IMSL_SSQ_LOF = 10157
IMSL_X_MEAN = 10158
IMSL_X_VARIANCE = 10160
IMSL_BASIS = 10170
IMSL_PIVOT = 10171
IMSL_RESIDUAL = 10172
IMSL_RESIDUAL_USER = 10173
IMSL_Q = 10177
IMSL_Q_USER = 10178
IMSL_Q_COL_DIM = 10179
IMSL_P_COL_DIM = 10180
IMSL_A_MATRIX = 10181
IMSL_B_MATRIX = 10182
IMSL_X_VECTOR = 10183
IMSL_Y_VECTOR = 10184
IMSL_RETURN_COL_DIM = 10185
IMSL_B_COL_DIM = 10186
IMSL_SET_PRINT = 10188
IMSL_GET_PRINT = 10189
IMSL_SET_STOP = 10190
IMSL_GET_STOP = 10191
IMSL_GET_TRACEBACK = 10192
IMSL_SET_TRACEBACK = 10193
IMSL_SET_ERROR_FILE = 10194
IMSL_ERROR_PRINT_PROC = 10195
IMSL_ERROR_MSG_PATH = 10196
IMSL_ERROR_MSG_NAME = 10197
IMSL_U = 10199
IMSL_U_USER = 10200
IMSL_U_COL_DIM = 10201
IMSL_V = 10202
IMSL_V_USER = 10203
IMSL_V_COL_DIM = 10204
IMSL_SET_OUTPUT_FILE = 10208
IMSL_GET_OUTPUT_FILE = 10209
IMSL_GET_ERROR_FILE = 10210
IMSL_PRINT_LOWER = 10211
IMSL_PRINT_UPPER = 10212
IMSL_PRINT_LOWER_NO_DIAG = 10213
IMSL_PRINT_UPPER_NO_DIAG = 10214
IMSL_ROW_NUMBER_ZERO = 10215
IMSL_NO_ROW_LABELS = 10216
IMSL_COL_NUMBER_ZERO = 10217
IMSL_NO_COL_LABELS = 10218
IMSL_VARIANCE_COVARIANCE_MATRIX = 10219
IMSL_CORRECTED_SSCP_MATRIX = 10220
IMSL_CORRELATION_MATRIX = 10221
IMSL_STDEV_CORRELATION_MATRIX = 10222
IMSL_AVERAGE_TIE = 10223
IMSL_HIGHEST = 10224
IMSL_LOWEST = 10225
IMSL_RANDOM_SPLIT = 10226
IMSL_RANKS = 10227
IMSL_BLOM_SCORES = 10228
IMSL_TUKEY_SCORES = 10229
IMSL_VAN_DER_WAERDEN_SCORES = 10230
IMSL_EXPECTED_NORMAL_SCORES = 10231
IMSL_SAVAGE_SCORES = 10232
IMSL_CHEBYSHEV_FIRST = 10240
IMSL_CHEBYSHEV_SECOND = 10241
IMSL_HERMITE = 10242
IMSL_COSH = 10243
IMSL_JACOBI = 10244
IMSL_GEN_LAGUERRE = 10245
IMSL_FIXED_POINT = 10246
IMSL_TWO_FIXED_POINTS = 10247
IMSL_LEGENDRE = 10248
IMSL_GRADIENT = 10250
IMSL_PRINT = 10251
IMSL_RETURN_NUMBER = 10259
IMSL_RETURN_USER = 10260
IMSL_X_MEAN_USER = 10261
IMSL_DF_PURE_ERROR = 10262
IMSL_SSQ_PURE_ERROR = 10263
IMSL_SSQ_POLY_USER = 10264
IMSL_SSQ_POLY_COL_DIM = 10265
IMSL_SSQ_LOF_USER = 10266
IMSL_SSQ_LOF_COL_DIM = 10267
IMSL_ROW_NUMBER = 10268
IMSL_COL_NUMBER = 10269
IMSL_CONDITION = 10270
IMSL_MAX_MOMENTS = 10271
IMSL_OS_VERSION = 10272
IMSL_COMPILER_VERSION = 10273
IMSL_LIBRARY_VERSION = 10274
IMSL_MAX_CYCLES = 10275
IMSL_N_CYCLES = 10276
IMSL_MAX_EVALS = 10277
IMSL_CUTPOINTS_EQUAL = 10280
IMSL_ABS_FCN_TOL = 10290
IMSL_MAX_JACOBIAN = 10291
IMSL_INTERN_SCALE = 10292
IMSL_FVEC = 10293
IMSL_FVEC_USER = 10294
IMSL_FJAC = 10295
IMSL_FJAC_USER = 10296
IMSL_FJAC_COL_DIM = 10297
IMSL_JTJ_INVERSE = 10298
IMSL_JTJ_INVERSE_USER = 10299
IMSL_JTJ_INV_COL_DIM = 10300
IMSL_FULL_TRACEBACK = 10301
IMSL_MAX_ITER = 10305
IMSL_PRECOND = 10306
IMSL_REL_ERR = 10307
IMSL_LICENSE_NUMBER = 10308
IMSL_METHOD = 10309
IMSL_MAXORD = 10310
IMSL_MITER = 10311
IMSL_NFCNJ = 10312
IMSL_MEDIAN = 10320
IMSL_MEDIAN_AND_SCALE = 10321
IMSL_CHI_SQUARED = 10322
IMSL_ONE_NORM = 10323
IMSL_INF_NORM = 10324
IMSL_SECOND_VECTOR = 10325
IMSL_ABSOLUTE = 10326
IMSL_PERMUTATION = 10327
IMSL_PERMUTATION_USER = 10328
IMSL_MAXIMIZATION = 10329
IMSL_DATA_BOUNDS = 10330
IMSL_KNOWN_BOUNDS = 10331
IMSL_CLASS_MARKS = 10332
IMSL_KNOWN_BOUNDS_ADR = 10333
IMSL_RANK_ADR = 11001
IMSL_BASIS_ADR = 11002
IMSL_TOLERANCE_ADR = 11003
IMSL_BOUNDS_ADR = 11004
IMSL_FUZZ_ADR = 11005
IMSL_CONFIDENCE_MEANS_ADR = 11006
IMSL_CONFIDENCE_VARIANCES_ADR = 11007
IMSL_RANGE_ADR = 11008
IMSL_LEFT_ADR = 11009
IMSL_RIGHT_ADR = 11010
IMSL_SMOOTHING_PAR_ADR = 11012
IMSL_JACOBI_ADR = 11013
IMSL_GEN_LAGUERRE_ADR = 11014
IMSL_FIXED_POINT_ADR = 11015
IMSL_TWO_FIXED_POINTS_ADR = 11016
IMSL_TOL_ADR = 11017
IMSL_HINIT_ADR = 11018
IMSL_HMIN_ADR = 11019
IMSL_HMAX_ADR = 11020
IMSL_SCALE_ADR = 11021
IMSL_FLOOR_ADR = 11022
IMSL_ETA_ADR = 11023
IMSL_EPS_ADR = 11024
IMSL_FSCALE_ADR = 11025
IMSL_GRAD_TOL_ADR = 11026
IMSL_STEP_TOL_ADR = 11027
IMSL_REL_FCN_TOL_ADR = 11028
IMSL_MAX_STEP_ADR = 11029
IMSL_XGUESS_ADR = 11030
IMSL_STEP_ADR = 11031
IMSL_ABS_FCN_TOL_ADR = 11033
IMSL_INIT_TRUST_REGION_ADR = 11034
IMSL_ERR_REL_ADR = 11035
IMSL_ERR_ABS_ADR = 11036
IMSL_GRID = 11050
IMSL_GRID_USER = 11051
IMSL_LINEAR_TERM = 11060
IMSL_CONSTANT_TERM = 11061
IMSL_SUPPLY_BASIS = 11062
IMSL_SUPPLY_DELTA = 11063
IMSL_SUPPLY_DELTA_ADR = 11064
IMSL_CENTERS = 11065
IMSL_CENTERS_RATIO = 11066
IMSL_CENTERS_RATIO_ADR = 11067
IMSL_RANDOM_SEED = 11068
IMSL_CORRELATION = 11070
IMSL_Z_TRANS = 11071
IMSL_Z_TRANS_USER = 11072
IMSL_FIRST_CALL = 11073
IMSL_CONTINUE_CALL = 11074
IMSL_LAST_CALL = 11075
IMSL_NHARD = 11080
IMSL_NO_SVD = 11081
IMSL_COMPANION_METHOD = 11082
IMSL_RETURN_SYMBOLIC_FACTOR = 11083
IMSL_SYMBOLIC_FACTOR_ONLY = 11084
IMSL_SUPPLY_SYMBOLIC_FACTOR = 11085
IMSL_RETURN_NUMERIC_FACTOR = 11086
IMSL_SUPPLY_NUMERIC_FACTOR = 11087
IMSL_NUMERIC_FACTOR_ONLY = 11088
IMSL_MULTIFRONTAL_FACTORIZATION = 11089
IMSL_SMALLEST_DIAGONAL_ELEMENT = 11090
IMSL_LARGEST_DIAGONAL_ELEMENT = 11091
IMSL_NUM_NONZEROS_IN_FACTOR = 11092
IMSL_D_MATRIX = 11093
IMSL_SYMMETRIC_STORAGE = 11094
IMSL_CHANGE_LOOP_MAXIMUM = 11096
IMSL_RETURN_SPARSE_LU_FACTOR = 11097
IMSL_SUPPLY_SPARSE_LU_FACTOR = 11098
IMSL_NUMBER_OF_SEARCH_ROWS = 11099
IMSL_ITERATIVE_REFINEMENT = 11100
IMSL_DROP_TOLERANCE = 11101
IMSL_STABILITY_FACTOR = 11102
IMSL_GROWTH_FACTOR_LIMIT = 11103
IMSL_GROWTH_FACTOR = 11104
IMSL_SMALLEST_PIVOT = 11105
IMSL_MEMORY_BLOCK_SIZE = 11106
IMSL_CSC_FORMAT = 11107
IMSL_FREE_SPARSE_LU_FACTOR = 11108
IMSL_RETURN_SPARSE_LU_IN_COORD = 11109
IMSL_SUPPLY_SPARSE_LU_IN_COORD = 11110
IMSL_PIVOTING_STRATEGY = 11111
IMSL_C_MATRIX = 11112
IMSL_HYBRID_FACTORIZATION = 11113
IMSL_RETURN_MATRIX_SIZE = 11114
IMSL_RETURN_USER_VECTOR = 11115
IMSL_DROP_TOLERANCE_ADR = 11116
IMSL_HYBRID_FACTORIZATION_ADR = 11117
IMSL_GROWTH_FACTOR_LIMIT_ADR = 11118
IMSL_BLOCKING_FACTOR = 11119
IMSL_MAX_KRYLOV_SUBSPACE_DIM = 11120
IMSL_HOUSEHOLDER_REORTHOG = 11121
IMSL_RESIDUAL_NORM = 11122
IMSL_STABILITY_FACTOR_ADR = 11123
IMSL_PSEUDO_ACCURACY = 11124
IMSL_FIRST_LAGUERRE_PARAMETER = 11125
IMSL_SECOND_LAGUERRE_PARAMETER = 11126
IMSL_MAXIMUM_COEFFICIENTS = 11127
IMSL_ERROR_EST = 11128
IMSL_DISCRETIZATION_ERROR_EST = 11129
IMSL_TRUNCATION_ERROR_EST = 11130
IMSL_CONDITION_ERROR_EST = 11131
IMSL_DECAY_FUNCTION_COEFFICIENT = 11132
IMSL_DECAY_FUNCTION_BASE = 11133
IMSL_LOG_LARGEST_COEFFICIENTS = 11134
IMSL_LOG_SMALLEST_COEFFICIENTS = 11135
IMSL_UNDER_OVERFLOW_INDICATORS = 11136
IMSL_INITIAL_STEPSIZE = 11137
IMSL_RELATIVE_ERROR = 11138
IMSL_PERFORMANCE_INDEX = 11139
IMSL_ACTIVE_CONSTRAINTS = 11140
IMSL_ACTIVE_CONSTRAINTS_USER = 11141
IMSL_NUMBER_ACTIVE_CONSTRAINTS = 11142
IMSL_LAGRANGE_MULTIPLIERS = 11143
IMSL_LAGRANGE_MULTIPLIERS_USER = 11144
IMSL_A_TRANSPOSE = 11145
IMSL_B_TRANSPOSE = 11146
IMSL_A_CONJUGATE_TRANSPOSE = 11147
IMSL_B_CONJUGATE_TRANSPOSE = 11148
IMSL_RETURN_MATRIX_CODIAGONALS = 11149
IMSL_SYMMETRIC = 11150
IMSL_INITIAL_VALUE_DERIVATIVE = 11151
IMSL_HERMITIAN = 11152
IMSL_REL_ERR_ADR = 11200
IMSL_DISTANCE = 12001
IMSL_STOPPING_CRITERION = 12002
IMSL_BASE = 12100
IMSL_SKIP = 12101
IMSL_RETURN_SKIP = 12102
IMSL_TAU0 = 13001
IMSL_DEL0 = 13002
IMSL_SMALLW = 13003
IMSL_DELMIN = 13004
IMSL_SCFMAX = 13005
IMSL_EPSDIF = 13006
IMSL_EPSFCN = 13007
IMSL_TAUBND = 13008
IMSL_DIFFTYPE = 13009
IMSL_TAU0_ADR = 13010
IMSL_DEL0_ADR = 13011
IMSL_SMALLW_ADR = 13012
IMSL_DELMIN_ADR = 13013
IMSL_SCFMAX_ADR = 13014
IMSL_EPSDIF_ADR = 13015
IMSL_EPSFCN_ADR = 13016
IMSL_TAUBND_ADR = 13017
IMSL_GCN_W_DATA = 13100
IMSL_FCN_W_DATA = 13101
IMSL_GRADIENT_W_DATA = 13102
IMSL_PRECOND_W_DATA = 13103
IMSL_JACOBIAN_W_DATA = 13104
IMSL_RHS_PDE_W_DATA = 13105
IMSL_RHS_BC_W_DATA = 13106
IMSL_FCN_UT_W_DATA = 13107
IMSL_FCN_BC_W_DATA = 13108
IMSL_HCN_W_DATA = 13109
IMSL_ERR_EST_USER = 13110
IMSL_PROBLEM_EMBEDDED = 13111
IMSL_SUPPLY_BASIS_W_DATA = 13112
IMSL_PROBLEM_EMBEDDED_W_DATA = 13113
IMSL_PCN_W_DATA = 13114
IMSL_QCN_W_DATA = 13115
IMSL_EQ_ORDER = 13116
IMSL_EQ_ERR = 13117
IMSL_STEPSIZE_DEC = 13118
IMSL_STEPSIZE_DEC_ADR = 13119
IMSL_STEPSIZE_INC = 13120
IMSL_STEPSIZE_INC_ADR = 13121
IMSL_MIN_STEPSIZE = 13122
IMSL_MIN_STEPSIZE_ADR = 13123
IMSL_CONSTRAINT_RESIDUALS = 14001
IMSL_CONSTRAINT_RESIDUALS_USER = 14002
IMSL_ATOL_RTOL_ARRAYS = 14010
IMSL_INITIAL_STEPSIZE_ADR = 14012
IMSL_ALL_NONNEGATIVE = 14013
IMSL_INITIAL_VALUES_INCONSISTENT = 14014
IMSL_ATOL_RTOL_SCALARS = 14017
IMSL_ATOL_RTOL_SCALARS_ADR = 14018
IMSL_MAX_BDF_ORDER = 14022
IMSL_NERROR_TEST_FAILURES = 14024
IMSL_NCONV_TEST_FAILURES = 14025
IMSL_BDF_ORDER_NEXT_STEP = 14026
IMSL_BDF_ORDER_PREVIOUS_STEP = 14027
IMSL_NSTEPS_TAKEN = 14028
IMSL_T_BARRIER = 14029
IMSL_T_BARRIER_ADR = 14030
IMSL_NORM_FCN = 14031
IMSL_NORM_FCN_W_DATA = 14032
IMSL_USER_JAC_FACTOR_SOLVE = 14033
IMSL_USER_JAC_FACTOR_SOLVE_W_DATA = 14034
IMSL_CART_COORDINATES = 14035
IMSL_CYL_COORDINATES = 14036
IMSL_SPH_COORDINATES = 14037
IMSL_TIME_SMOOTHING = 14038
IMSL_SPATIAL_SMOOTHING = 14039
IMSL_MONITOR_REGULARIZING = 14040
IMSL_RELATIVE_TOLERANCE = 14041
IMSL_ABSOLUTE_TOLERANCE = 14042
IMSL_PDE_SYS_W_DATA = 14043
IMSL_BOUNDARY_COND_W_DATA = 14044
IMSL_USER_FACTOR_SOLVE = 14046
IMSL_USER_FACTOR_SOLVE_W_DATA = 14047
IMSL_INITIAL_CONDITIONS = 14048
IMSL_INITIAL_CONDITIONS_W_DATA = 14049
IMSL_FILE = 15001
IMSL_NAME_OBJECTIVE = 15002
IMSL_NAME_RHS = 15003
IMSL_NAME_RANGES = 15004
IMSL_NAME_BOUNDS = 15005
IMSL_POSITIVE_INFINITY = 15006
IMSL_NEGATIVE_INFINITY = 15007
IMSL_ITERATION_COUNT = 15010
IMSL_FEASIBLE_PT_ONLY = 15011
IMSL_REFINEMENT = 15012
IMSL_EXTENDED_REFINEMENT = 15013
IMSL_PRODUCE_F77_TEST = 15014
IMSL_USE_UPDATED_LP_ALGORITHM = 15015
IMSL_TENSION = 15016
IMSL_CONTINUITY = 15017
IMSL_BIAS = 15018
IMSL_LOWER_ENDPOINT = 15019
IMSL_UPPER_ENDPOINT = 15020
IMSL_TOLERANCE_MULLER = 15022
IMSL_MIN_SEPARATION = 15023
IMSL_ERR_X = 15024
IMSL_NUM_ROOTS_FOUND = 15025
IMSL_SET_FUNCTIONS_THREAD_SAFE = 15026
IMSL_GET_FUNCTIONS_THREAD_SAFE = 15027
IMSL_FCN_FKCFIV_W_DATA = 15028
IMSL_FCN_FKBCP_W_DATA = 15029
IMSL_FCN_INIT = 15030
IMSL_FCN_INIT_W_DATA = 15031
IMSL_FCN_FORCE = 15032
IMSL_FCN_FORCE_W_DATA = 15033
IMSL_NDEGREE = 15034
IMSL_TDEPEND = 15035
IMSL_STEP_CONTROL = 15036
IMSL_ISTATE = 15037
IMSL_EVALS = 15038
IMSL_GET_OMP_MKL_SINGLE_THREAD = 15039
IMSL_SET_OMP_MKL_SINGLE_THREAD = 15040
IMSL_DROP_MAX_POS_DUAL = 15041
IMSL_DUAL_SOLUTION = 15043
IMSL_DUAL_SOLUTION_USER = 15044
IMSL_DERIV_USER = 15045
IMSL_INITIAL_FACTORS = 15046
IMSL_RESIDUAL_ERROR = 15047
IMSL_OPTIMIZED = 15048
IMSL_ERR_FRAC = 15049
IMSL_ERR_PRIOR = 15051
IMSL_SINGULARITY = 15052
IMSL_ISTATUS = 15053
IMSL_ERR_TOL = 15054
IMSL_ERR_TOL_ADR = 15056
IMSL_ERR_FRAC_ADR = 15057
IMSL_ERR_PRIOR_ADR = 15059
IMSL_SINGULARITY_ADR = 15060
IMSL_N_CONSTRAINTS = 15061
IMSL_JACOBIAN_OPTION = 15062
IMSL_YPRIME_METHOD = 15063
IMSL_JACOBIAN_MATRIX_TYPE = 15064
IMSL_N_LOWER_DIAG = 15065
IMSL_N_UPPER_DIAG = 15066
IMSL_RELATIVE_TOLERANCE_ADR = 15067
IMSL_MAX_STEPSIZE = 15068
IMSL_MAX_STEPSIZE_ADR = 15069
IMSL_MAX_ORDER = 15070
IMSL_INTEGRATION_LIMIT = 15071
IMSL_INTEGRATION_LIMIT_ADR = 15072
IMSL_ORDER_MAGNITUDE_EST = 15073
IMSL_ORDER_MAGNITUDE_EST_ADR = 15074
IMSL_EQUILIBRATE = 15075
IMSL_COLUMN_ORDERING_METHOD = 15076
IMSL_COLPERM_VECTOR = 15077
IMSL_DIAG_PIVOT_THRESH = 15078
IMSL_PIVOT_GROWTH_FACTOR = 15079
IMSL_FORWARD_ERROR_BOUND = 15080
IMSL_BACKWARD_ERROR = 15081
IMSL_SYMMETRIC_MODE = 15082
IMSL_PERFORMANCE_TUNING = 15083
IMSL_FACTOR_SOLVE = 15084
IMSL_GET_DEVICE = 15085
IMSL_SET_ALL = 15086
IMSL_PRESOLVE = 15087
IMSL_OBJ_CONSTANT = 15088
IMSL_MAX_ITERATIONS = 15089
IMSL_OPT_TOL = 15090
IMSL_PRIMAL_INFEAS = 15091
IMSL_DUAL_INFEAS = 15092
IMSL_CP_RATIO_SMALLEST = 15093
IMSL_CP_RATIO_LARGEST = 15094
IMSL_TERMINATION_STATUS = 15095
IMSL_PRINF_TOL = 15096
IMSL_DLINF_TOL = 15097
IMSL_OBJ_CONSTANT_ADR = 15098
IMSL_OPT_TOL_ADR = 15099
IMSL_PRINF_TOL_ADR = 15100
IMSL_DLINF_TOL_ADR = 15101
IMSL_SUPPLY_WORK_ARRAYS = 15102
IMSL_TOLERANCE_MULLER_ADR = 15103
IMSL_MIN_SEPARATION_ADR = 15104
IMSL_ERR_X_ADR = 15105
IMSL_XSCALE_ADR = 15106
IMSL_BOUND_ADR = 15107
IMSL_PREORDERING = 15108
IMSL_CENTRAL = 15109
IMSL_DIAG_PIVOT_THRESH_ADR = 15110
IMSL_SNODE_PREDICTION = 15111
IMSL_YSCALE = 15110
IMSL_ACCUMULATE = 15114
IMSL_SIDE_LENGTH = 15200
IMSL_RANDOM_XGUESSES = 15201
IMSL_GET_PRINT_TYPE = 50000
IMSL_SET_PRINT_TYPE = 50001
IMSL_DEFAULT_PRINT_PROC = 50002
IMSL_WINDOWS_PRINT_PROC = 50003
IMSL_CONSOLE_PRINT_PROC = 50004
IMSL_RETURN_STRING = 50010
IMSL_WRITE_TO_CONSOLE = 50011
IMSL_SET_SIGNAL_TRAPPING = 50012

# STAT constants

# Constants for permute functions
IMSLS_FORWARD_PERMUTATION = 1
IMSLS_BACKWARD_PERMUTATION = 2
IMSLS_PERMUTE_ROWS = 3
IMSLS_PERMUTE_COLUMNS = 4

IMSLS_ALL = 1
IMSLS_LEAVE_OUT_LAST = 2
IMSLS_SUM_TO_ZERO = 3

# Constants for imsls_page
IMSLS_SET_PAGE_WIDTH = -1
IMSLS_GET_PAGE_WIDTH = 1
IMSLS_SET_PAGE_LENGTH = -2
IMSLS_GET_PAGE_LENGTH = 2

# Constants for imsls_write_options
IMSLS_SET_DEFAULTS = 0
IMSLS_SET_CENTERING = -1
IMSLS_GET_CENTERING = 1
IMSLS_SET_ROW_WRAP = -2
IMSLS_GET_ROW_WRAP = 2
IMSLS_SET_PAGING = -3
IMSLS_GET_PAGING = 3
IMSLS_SET_NAN_CHAR = -4
IMSLS_GET_NAN_CHAR = 4
IMSLS_SET_TITLE_PAGE = -5
IMSLS_GET_TITLE_PAGE = 5
IMSLS_SET_FORMAT = -6
IMSLS_GET_FORMAT = 6

# Constants for Neural Network routines
IMSLS_LINEAR = 0
IMSLS_LOGISTIC = 1
IMSLS_TANH = 2
IMSLS_SQUASH = 3
IMSLS_LOGISTIC_TABLE_LOOKUP = 4

# Constants for Neural Network Weights Init
IMSLS_NN_NETWORK = 0
IMSLS_EQUAL = 1
IMSLS_RANDOM = 2
IMSLS_PRINCIPAL_COMPONENTS = 3
IMSLS_DISCRIMINANT = 4

# Constants for Naive Bayes routines
IMSLS_GAUSSIAN = 0
IMSLS_LOG_NORMAL = 1
IMSLS_GAMMA = 2
IMSLS_POISSON = 3
IMSLS_CHI_SQUARE = 4
IMSLS_USER = 5

# Constants for genetic algorithms
IMSLS_ROULETTE_WITH = 0
IMSLS_ROULETTE_WITHOUT = 1
IMSLS_DETERMINISTIC = 2
IMSLS_REMAINDER_WITH = 3
IMSLS_REMAINDER_WITHOUT = 4
IMSLS_SUS_SELECTION = 5
IMSLS_RANK_SELECTION = 6
IMSLS_TOURNAMENT_1 = 7
IMSLS_TOURNAMENT_2 = 8

# Constants for impute_missing
IMSLS_MODE_METH = 0
IMSLS_MEAN_METH = 1
IMSLS_MEDIAN_METH = 2
IMSLS_GEOMEAN_METH = 3
IMSLS_LINEAR_METH = 4

IMSLS_NONE = 0
IMSLS_FINAL = 1
IMSLS_TRACE_GEN = 2
IMSLS_TRACE_ALL = 3
IMSLS_DATA_WARNINGS = 4

# Keywords
IMSLS_ABS_FCN_TOL = 10010
IMSLS_ABS_FCN_TOL_ADR = 10020
IMSLS_ACTIVE = 10030
IMSLS_ADJ_R_SQUARED = 10050
IMSLS_ALL_STEPS = 10060
IMSLS_ALPHA = 10070
IMSLS_ALPHA_ADR = 10075
IMSLS_ANOVA_TABLE = 10080
IMSLS_ANOVA_TABLE_USER = 10090
IMSLS_AR_LAGS = 10110
IMSLS_ASCENDING = 10120
IMSLS_AVERAGE_TIE = 10160
IMSLS_A_COL_DIM = 10170
IMSLS_A_MATRIX = 10180
IMSLS_BACKCASTING = 10190
IMSLS_BACKWARD = 10200
IMSLS_BACKWARD_ORIGIN = 10210
IMSLS_ONE_STEP_FORECAST = 10211
IMSLS_ONE_STEP_FORECAST_USER = 10212
IMSLS_BLOM_SCORES = 10260
IMSLS_BONFERRONI = 10270
IMSLS_BOUNDS = 10290
IMSLS_BOUNDS_ADR = 10300
IMSLS_BREAKPOINTS = 10310
IMSLS_B_COL_DIM = 10320
IMSLS_B_MATRIX = 10330
IMSLS_CELL_CHI_SQUARED = 10340
IMSLS_CELL_CHI_SQUARED_USER = 10350
IMSLS_CELL_COUNTS = 10360
IMSLS_CELL_COUNTS_USER = 10370
IMSLS_CELL_EXPECTED = 10380
IMSLS_CELL_EXPECTED_USER = 10390
IMSLS_CHEBYSHEV_SECOND = 10440
IMSLS_CHI_SQUARED = 10450
IMSLS_CONTRIBUTIONS = 10470
IMSLS_CONTRIBUTIONS_USER = 10480
IMSLS_CHI_SQUARED_STATS = 10490
IMSLS_CHI_SQUARED_STATS_USER = 10500
IMSLS_CHI_SQUARED_TEST = 10510
IMSLS_CHI_SQUARED_TEST_NULL = 10520
IMSLS_CI_COMMON_VARIANCE = 10530
IMSLS_CI_DIFF_FOR_EQUAL_VARIANCES = 10540
IMSLS_CI_MEAN = 10560
IMSLS_CI_VARIANCE = 10590
IMSLS_CLASS_MARKS = 10630
IMSLS_CLUSTER_MEANS = 10640
IMSLS_CLUSTER_SSQ = 10660
IMSLS_CLUSTER_SSQ_USER = 10670
IMSLS_COEFS = 10680
IMSLS_COEF_COVARIANCES = 10690
IMSLS_COEF_COVARIANCES_USER = 10700
IMSLS_COEF_T_TESTS = 10710
IMSLS_COEF_T_TESTS_USER = 10720
IMSLS_COEF_VIF = 10730
IMSLS_COEF_VIF_USER = 10740
IMSLS_COL_LABELS = 10750
IMSLS_COL_NUMBER = 10760
IMSLS_COL_NUMBER_ZERO = 10770
IMSLS_COMPILER_VERSION = 10780
IMSLS_CORRELATIONS = 10810
IMSLS_CONDITION = 10850
IMSLS_CONFIDENCE = 10860
IMSLS_CONFIDENCE_MEAN = 10870
IMSLS_CONFIDENCE_MEANS = 10880
IMSLS_CONFIDENCE_MEANS_ADR = 10890
IMSLS_CONFIDENCE_VARIANCE = 10900
IMSLS_CONFIDENCE_VARIANCES = 10910
IMSLS_CONFIDENCE_VARIANCES_ADR = 10920
IMSLS_CONSTANT = 10930
IMSLS_CONTINUOUS = 10950
IMSLS_CONVERGENCE_EPS = 10980
IMSLS_CONVERGENCE_TOLERANCE = 10990
IMSLS_COOKSD = 11000
IMSLS_COOKSD_USER = 11010
IMSLS_CORRECTED_SSCP_MATRIX = 11020
IMSLS_CORRELATION_MATRIX = 11030
IMSLS_COVARIANCE_COL_DIM = 11050
IMSLS_COV_COL_DIM = 11055
IMSLS_COEF_COV_COL_DIM = 11060
IMSLS_CRITERIONS = 11070
IMSLS_CUM_PERCENT = 11080
IMSLS_CUTPOINTS = 11090
IMSLS_CUTPOINTS_EQUAL = 11100
IMSLS_CUTPOINTS_USER = 11110
IMSLS_DATA_BOUNDS = 11120
IMSLS_DEGREES_OF_FREEDOM = 11140
IMSLS_DELETED_RESIDUAL = 11150
IMSLS_DELETED_RESIDUAL_USER = 11160
IMSLS_DERIV = 11170
IMSLS_DESCENDING = 11180
IMSLS_DF = 11185
IMSLS_DFFITS = 11190
IMSLS_DFFITS_USER = 11200
IMSLS_DF_PURE_ERROR = 11210
IMSLS_DIFFERENCE = 11230
IMSLS_DUMMY = 11270
IMSLS_DUNN_SIDAK = 11280
IMSLS_EIGENVALUES = 11300
IMSLS_EIGENVALUES_USER = 11310
IMSLS_EIGENVECTORS = 11320
IMSLS_EMS = 11350
IMSLS_EMS_USER = 11360
IMSLS_EPS = 11370
IMSLS_EPS_ADR = 11380
IMSLS_ERROR_MSG_NAME = 11400
IMSLS_ERROR_MSG_PATH = 11410
IMSLS_ERROR_PRINT_PROC = 11420
IMSLS_ERR_ABS = 11440
IMSLS_ERR_ABS_ADR = 11450
IMSLS_ERR_EST = 11460
IMSLS_ERR_LIST = 11470
IMSLS_ERR_ORDER = 11480
IMSLS_ERR_REL = 11490
IMSLS_ERR_REL_ADR = 11500
IMSLS_EVECU_COL_DIM = 11530
IMSLS_EXCLUDE_FIRST = 11540
IMSLS_EXPECTED = 11550
IMSLS_EXPECTED_NORMAL_SCORES = 11560
IMSLS_EXPECTED_USER = 11570
IMSLS_FACTOR = 11580
IMSLS_FACTOR_ONLY = 11590
IMSLS_FACTOR_USER = 11600
IMSLS_FAC_COL_DIM = 11610
IMSLS_FIRST_STEP = 11630
IMSLS_FIXED_POINT_ADR = 11650
IMSLS_FJAC = 11660
IMSLS_FJAC_COL_DIM = 11670
IMSLS_FJAC_USER = 11720
IMSLS_FLOOR = 11730
IMSLS_FNORM = 11750
IMSLS_FORCE = 11760
IMSLS_FORWARD = 11770
IMSLS_FREQUENCIES = 11790
IMSLS_FREQUENCIES_USER = 11800
IMSLS_FSCALE = 11810
IMSLS_FSCALE_ADR = 11820
IMSLS_FULL_TRACEBACK = 11850
IMSLS_FUNCTION_MIN = 11860
IMSLS_FUZZ = 11870
IMSLS_FUZZ_ADR = 11880
IMSLS_FVALUE = 11890
IMSLS_FVEC = 11900
IMSLS_FVEC_USER = 11910
IMSLS_F_TEST = 11920
IMSLS_GENERALIZED_LEAST_SQUARES = 11940
IMSLS_GET_ERROR_FILE = 11970
IMSLS_GET_OUTPUT_FILE = 11980
IMSLS_GET_PRINT = 11990
IMSLS_GET_STOP = 12000
IMSLS_GET_TRACEBACK = 12010
IMSLS_GLM_INFO = 12020
IMSLS_GOOD_DIGIT = 12030
IMSLS_GRAD = 12040
IMSLS_GRADIENT = 12050
IMSLS_GRADIENT_USER = 12051
IMSLS_GRADIENT_EPS = 12060
IMSLS_GRAD_TOL = 12070
IMSLS_GRAD_TOL_ADR = 12080
IMSLS_GROUP_COUNTS = 12090
IMSLS_GROUP_COUNTS_USER = 12100
IMSLS_GROUP_MEANS = 12110
IMSLS_GROUP_MEANS_USER = 12120
IMSLS_GROUP_STD_DEVS = 12130
IMSLS_GROUP_STD_DEVS_USER = 12140
IMSLS_HIGHEST = 12190
IMSLS_IMAGE = 12280
IMSLS_INDEPENDENT_VARIABLES = 12290
IMSLS_INDICES_EFFECTS = 12300
IMSLS_INDICES_KEYS = 12310
IMSLS_INF_NORM = 12340
IMSLS_INITIAL_ESTIMATES = 12350
IMSLS_INITIAL_TRUST_REGION = 12360
IMSLS_INIT_HESSIAN = 12370
IMSLS_INIT_TRUST_REGION = 12380
IMSLS_INIT_TRUST_REGION_ADR = 12390
IMSLS_INTERCEPT = 12400
IMSLS_INTERMEDIATE_STEP = 12410
IMSLS_INTERN_SCALE = 12420
IMSLS_INVERSE = 12460
IMSLS_INVERSE_ONLY = 12470
IMSLS_INVERSE_USER = 12480
IMSLS_INV_COL_DIM = 12490
IMSLS_ITMAX = 12500
IMSLS_JACOBIAN = 12520
IMSLS_JTJ_INVERSE = 12570
IMSLS_JTJ_INVERSE_USER = 12580
IMSLS_JTJ_INV_COL_DIM = 12590
IMSLS_KNOWN_BOUNDS = 12620
IMSLS_LAST_STEP = 12680
IMSLS_LAST_STEP_USER = 12690
IMSLS_LEAST_SQUARES = 12700
IMSLS_LEFT = 12710
IMSLS_LEFT_ADR = 12720
IMSLS_LEVERAGE = 12740
IMSLS_LEVERAGE_USER = 12750
IMSLS_LIBRARY_VERSION = 12760
IMSLS_LICENSE_NUMBER = 12770
IMSLS_LILLIEFORS = 12780
IMSLS_MAX_DIFFERENCE = 12781
IMSLS_LIST_CELLS = 12800
IMSLS_LIST_CELLS_USER = 12810
IMSLS_LOST = 12840
IMSLS_LOWEST = 12860
IMSLS_LRT = 12880
IMSLS_MALLOWS_CP = 12890
IMSLS_MAXIMUM_LIKELIHOOD = 12900
IMSLS_MAX_EVALS = 12930
IMSLS_MAX_FCN = 12940
IMSLS_MAX_GRAD = 12950
IMSLS_MAX_ITER = 12960
IMSLS_MAX_ITERATIONS = 12970
IMSLS_MAX_ITN = 12980
IMSLS_MAX_JACOBIAN = 12990
IMSLS_MAX_JACOBIAN_EVALUATIONS = 13000
IMSLS_MAX_NUMBER_FCN_EVALS = 13020
IMSLS_MAX_N_BEST = 13040
IMSLS_MAX_N_GOOD_SAVED = 13050
IMSLS_MAX_SSE_EVALUATIONS = 13060
IMSLS_MAX_STEP = 13070
IMSLS_MAX_STEPS_LINE_SEARCH = 13080
IMSLS_MAX_STEP_ADR = 13090
IMSLS_MAX_SUBINTER = 13100
IMSLS_MA_LAGS = 13110
IMSLS_MEANS = 13120
IMSLS_MEANS_USER = 13130
IMSLS_MEDIAN = 13150
IMSLS_MEDIAN_AND_SCALE = 13160
IMSLS_METHOD = 13170
IMSLS_METHOD_OF_MOMENTS = 13180
IMSLS_MODEL_ORDER = 13210
IMSLS_MORAN = 13220
IMSLS_N = 13270
IMSLS_NFCN = 13290
IMSLS_NO_COL_LABELS = 13330
IMSLS_NO_CONSTANT = 13340
IMSLS_NO_INTERCEPT = 13350
IMSLS_NO_ROW_LABELS = 13360
IMSLS_N_EVALS = 13420
IMSLS_N_ITERATIONS = 13430
IMSLS_N_MISSING = 13440
IMSLS_N_PARAMETERS_ESTIMATED = 13450
IMSLS_N_POSITIVE_DEVIATIONS = 13460
IMSLS_N_SAMPLE = 13470
IMSLS_N_STEPS = 13490
IMSLS_N_SUBINTER = 13500
IMSLS_N_USER = 13510
IMSLS_OBJ = 13550
IMSLS_ONE_AT_A_TIME = 13560
IMSLS_ONE_NORM = 13570
IMSLS_ORDERS = 13620
IMSLS_OS_VERSION = 13630
IMSLS_PASSIVE = 13710
IMSLS_PERCENTAGE = 13720
IMSLS_PERCENTILE = 13730
IMSLS_PERIODIC = 13740
IMSLS_PERMUTATION = 13750
IMSLS_PERMUTATION_USER = 13760
IMSLS_POINTWISE_CI_NEW_SAMPLE = 13800
IMSLS_POINTWISE_CI_NEW_SAMPLE_USER = 13810
IMSLS_POINTWISE_CI_POP_MEAN = 13820
IMSLS_POINTWISE_CI_POP_MEAN_USER = 13830
IMSLS_POLY_REGRESSION_INFO = 13840
IMSLS_POOLED_VARIANCE = 13850
IMSLS_PRINCIPAL_FACTOR = 13880
IMSLS_PRINCIPAL_COMPONENT = 13890
IMSLS_PRINT = 13900
IMSLS_PRINT_ALL = 13910
IMSLS_PRINT_BRIEF = 13920
IMSLS_PRINT_LOWER = 13930
IMSLS_PRINT_LOWER_NO_DIAG = 13940
IMSLS_PRINT_NONE = 13950
IMSLS_PRINT_UPPER = 13960
IMSLS_PRINT_UPPER_NO_DIAG = 13970
IMSLS_PURE_ERROR = 13980
IMSLS_Q = 14000
IMSLS_Q_COL_DIM = 14040
IMSLS_RANDOM_SPLIT = 14080
IMSLS_RANGE = 14090
IMSLS_RANGE_ADR = 14100
IMSLS_RANK = 14110
IMSLS_RANKS = 14120
IMSLS_REGRESSION_INFO = 14140
IMSLS_REL_FCN_TOL = 14170
IMSLS_REL_FCN_TOL_ADR = 14180
IMSLS_RESIDUAL = 14190
IMSLS_RESIDUAL_USER = 14220
IMSLS_RETURN_COL_DIM = 14260
IMSLS_RETURN_NUMBER = 14270
IMSLS_RETURN_USER = 14280
IMSLS_RIGHT = 14290
IMSLS_RIGHT_ADR = 14300
IMSLS_ROW_LABELS = 14330
IMSLS_ROW_NUMBER = 14340
IMSLS_ROW_NUMBER_ZERO = 14350
IMSLS_RULE = 14360
IMSLS_R_SQUARED = 14370
IMSLS_SAVAGE_SCORES = 14390
IMSLS_SCALE = 14400
IMSLS_SCHEFFE_CI = 14420
IMSLS_SCHEFFE_CI_USER = 14425
IMSLS_SCHEFFE_USER = 14440
IMSLS_SECOND_VECTOR = 14460
IMSLS_SET_ERROR_FILE = 14490
IMSLS_SET_FIRST_TO_NAN = 14500
IMSLS_SET_OUTPUT_FILE = 14510
IMSLS_SET_PRINT = 14520
IMSLS_SET_STOP = 14530
IMSLS_SET_TRACEBACK = 14540
IMSLS_SHAPIRO_WILK_W = 14550
IMSLS_SHAPIRO_WILK = 14551
IMSLS_SHIFT = 14560
IMSLS_SHIFT_ADR = 14565
IMSLS_SMOOTHING_PAR = 14590
IMSLS_SMOOTHING_PAR_ADR = 14600
IMSLS_SOLVE_ONLY = 14630
IMSLS_SSE = 14640
IMSLS_SSE_ABS_EPS = 14650
IMSLS_SSE_REL_EPS = 14660
IMSLS_SSQ_LOF = 14670
IMSLS_SSQ_LOF_COL_DIM = 14680
IMSLS_SSQ_LOF_USER = 14690
IMSLS_SSQ_POLY = 14700
IMSLS_SSQ_POLY_COL_DIM = 14710
IMSLS_SSQ_POLY_USER = 14720
IMSLS_SSQ_PURE_ERROR = 14730
IMSLS_SS_RESIDUAL = 14740
IMSLS_STANDARDIZED_RESIDUAL = 14750
IMSLS_STANDARDIZED_RESIDUAL_USER = 14760
IMSLS_STAT = 14770
IMSLS_STATISTICS = 14780
IMSLS_STATISTICS_USER = 14790
IMSLS_STAT_COL_DIM = 14800
IMSLS_STAT_USER = 14810
IMSLS_STDEV_CORRELATION_MATRIX = 14820
IMSLS_STD_DEV = 14830
IMSLS_STD_DEVS = 14840
IMSLS_STEP = 14850
IMSLS_STEPWISE = 14860
IMSLS_STEP_ADR = 14870
IMSLS_STEP_EPS = 14880
IMSLS_STEP_TOL = 14890
IMSLS_STEP_TOL_ADR = 14900
IMSLS_SWITCH_EXACT_HESSIAN = 14920
IMSLS_S_USER = 14940
IMSLS_TABLE = 14950
IMSLS_TABLE_USER = 14960
IMSLS_TEST_EFFECTS = 14970
IMSLS_TEST_EFFECTS_USER = 14980
IMSLS_THETA_GUESS = 15000
IMSLS_THETA_SCALE = 15010
IMSLS_TIES_OPTION = 15020
IMSLS_TOLERANCE = 15040
IMSLS_TOLERANCE_ADR = 15050
IMSLS_TRANSPOSE = 15070
IMSLS_TUCKER_RELIABILITY_COEFFICIENT = 15080
IMSLS_TUKEY = 15090
IMSLS_TUKEY_SCORES = 15100
IMSLS_T_TEST = 15130
IMSLS_T_TEST_NULL = 15170
IMSLS_U = 15180
IMSLS_UNIQUE_VARIANCES_INPUT = 15210
IMSLS_UNIQUE_VARIANCES_OUTPUT = 15220
IMSLS_UNWEIGHTED_LEAST_SQUARES = 15240
IMSLS_U_USER = 15280
IMSLS_V = 15290
IMSLS_VAN_DER_WAERDEN_SCORES = 15300
IMSLS_VARIANCE_COMPONENTS = 15310
IMSLS_VARIANCE_COMPONENTS_USER = 15320
IMSLS_VARIANCE_COVARIANCE_MATRIX = 15330
IMSLS_VECTORS = 15340
IMSLS_VECTORS_USER = 15350
IMSLS_V_USER = 15380
IMSLS_WEIGHT = 15390
IMSLS_WEIGHTS = 15400
IMSLS_WEIGHTS_USER = 15401
IMSLS_WRITE_FORMAT = 15410
IMSLS_XGUESS = 15430
IMSLS_XGUESS_ADR = 15440
IMSLS_XSCALE = 15450
IMSLS_X_COL_DIM = 15470
IMSLS_X_MEAN = 15490
IMSLS_X_MEAN_USER = 15500
IMSLS_X_VARIANCE = 15520
IMSLS_X_VECTOR = 15530
IMSLS_Y = 15535
IMSLS_Y_COL_DIM = 15540
IMSLS_Y_VECTOR = 15580
IMSLS_COEF_COL_DIM = 15600
IMSLS_COEF_STATISTICS = 15610
IMSLS_POOL_INTERACTIONS = 15620
IMSLS_N_OBSERVATIONS = 15640
IMSLS_N_VARIABLES = 15650
IMSLS_NO_PRINT = 15660
IMSLS_INPUT_COV = 15670
IMSLS_LEVEL = 15680
IMSLS_P_VALUE_IN = 15690
IMSLS_P_VALUE_OUT = 15700
IMSLS_CLUSTER_SEEDS_COL_DIM = 15720
IMSLS_CLUSTER_MEANS_COL_DIM = 15730
IMSLS_CLUSTER_MEANS_USER = 15740
IMSLS_CLUSTER_VARIABLE_COLUMNS = 15750
IMSLS_CLUSTER_COUNTS = 15760
IMSLS_CLUSTER_COUNTS_USER = 15770
IMSLS_CUM_PERCENT_USER = 15780
IMSLS_EIGENVECTORS_USER = 15790
IMSLS_CORRELATIONS_USER = 15800
IMSLS_STD_DEV_USER = 15810
IMSLS_COVARIANCE_MATRIX = 15820
IMSLS_N_ZERO_DEVIATIONS = 15830
IMSLS_SCHEFFE = 15870
IMSLS_IEND = 15880
IMSLS_SWEPT_USER = 15890
IMSLS_HISTORY_USER = 15900
IMSLS_COV_SWEPT_USER = 15910
IMSLS_REGRESSORS = 16000
IMSLS_REGRESSORS_USER = 16010
IMSLS_REGRESSORS_COL_DIM = 16020
IMSLS_X_CLASS_COLUMNS = 16030
IMSLS_SIGNAL_TRAPPING_ON = 16040
IMSLS_SIGNAL_TRAPPING_OFF = 16041
IMSLS_SET_SIGNAL_TRAPPING = 16042
IMSLS_RELATIVE_ERROR = 16050
IMSLS_MEAN_ESTIMATE = 16051
IMSLS_PARAM_EST_COV = 16052
IMSLS_PARAM_EST_COV_USER = 16053
IMSLS_AUTOCOV = 16054
IMSLS_AUTOCOV_USER = 16055
IMSLS_ARMA_INFO = 16056
IMSLS_TUKEY_USER = 16057
IMSLS_DUNN_SIDAK_USER = 16058
IMSLS_BONFERRONI_USER = 16059
IMSLS_ONE_AT_A_TIME_USER = 16061
IMSLS_CRITERIONS_USER = 16065
IMSLS_INDEPENDENT_VARIABLES_USER = 16066
IMSLS_COEF_STATISTICS_USER = 16067
IMSLS_R = 16068
IMSLS_R_USER = 16069
IMSLS_R_RANK = 16070
IMSLS_DFE = 16071
IMSLS_R_COL_DIM = 16072
IMSLS_T_TEST_FOR_EQUAL_VARS = 16073
IMSLS_T_TEST_FOR_UNEQUAL_VARS = 16074
IMSLS_CI_RATIO_VARIANCES = 16075
IMSLS_CI_DIFF_FOR_EQUAL_VARS = 16076
IMSLS_CI_DIFF_FOR_UNEQUAL_VARS = 16077
IMSLS_MISSING_VALUE_METHOD = 16078
IMSLS_PREDICTED = 16079
IMSLS_PREDICTED_USER = 16080
IMSLS_INCIDENCE_MATRIX = 16081
IMSLS_INCIDENCE_MATRIX_USER = 16082
IMSLS_RECTANGULAR = 16083
IMSLS_HEXAGONAL = 16084
IMSLS_VON_NEUMANN = 16085
IMSLS_MOORE = 16086
IMSLS_WRAP_AROUND = 16087
IMSLS_INITIAL_WEIGHTS = 16088
IMSLS_LCN_W_DATA = 16089
IMSLS_RECONSTRUCTION_ERROR = 16090
IMSLS_CONFIDENCE_ADR = 18000
IMSLS_MISSING_LISTWISE = 18010
IMSLS_MISSING_ELEMENTWISE = 18011
IMSLS_CONFIDENCE_MEAN_ADR = 20001
IMSLS_T_TEST_NULL_ADR = 20002
IMSLS_CONFIDENCE_VARIANCE_ADR = 20003
IMSLS_CHI_SQUARED_TEST_NULL_ADR = 20004
IMSLS_PERCENTAGE_ADR = 20005
IMSLS_PERCENTILE_ADR = 20006
IMSLS_P_VALUE_IN_ADR = 20007
IMSLS_P_VALUE_OUT_ADR = 20008
IMSLS_GRADIENT_EPS_ADR = 20009
IMSLS_STEP_EPS_ADR = 20010
IMSLS_SSE_REL_EPS_ADR = 20011
IMSLS_SSE_ABS_EPS_ADR = 20012
IMSLS_INITIAL_TRUST_REGION_ADR = 20014
IMSLS_CONVERGENCE_EPS_ADR = 20015
IMSLS_SWITCH_EXACT_HESSIAN_ADR = 20016
IMSLS_BACKCASTING_ADR = 20017
IMSLS_CONVERGENCE_TOLERANCE_ADR = 20018
IMSLS_RELATIVE_ERROR_ADR = 20019
IMSLS_MODEL = 20100
IMSLS_INTERVAL = 20110
IMSLS_X_COL_FIXED_PARAMETER = 20120
IMSLS_X_COL_FREQUENCIES = 20130
IMSLS_X_COL_DIST_PARAMETER = 20150
IMSLS_INFINITY_CHECK = 20170
IMSLS_NO_INFINITY_CHECK = 20180
IMSLS_EFFECTS = 20200
IMSLS_INITIAL_EST_INPUT = 20210
IMSLS_INITIAL_EST_INTERNAL = 20220
IMSLS_MAX_CLASS = 20230
IMSLS_CLASS_INFO_USER = 20240
IMSLS_CLASS_INFO = 20250
IMSLS_COEF_STAT_USER = 20260
IMSLS_COEF_STAT = 20270
IMSLS_COEF_STAT_COL_DIM = 20280
IMSLS_CRITERION = 20290
IMSLS_COV_USER = 20300
IMSLS_COV = 20310
IMSLS_CASE_ANALYSIS = 20320
IMSLS_CASE_ANALYSIS_USER = 20330
IMSLS_CASE_ANALYSIS_COL_DIM = 20340
IMSLS_OBS_STATUS_USER = 20370
IMSLS_OBS_STATUS = 20380
IMSLS_LP_MAX = 20390
IMSLS_N_ROWS_MISSING = 20400
IMSLS_MEAN = 20410
IMSLS_MEAN_ADR = 20415
IMSLS_VARIANCE = 20420
IMSLS_VARIANCE_ADR = 20425
IMSLS_ACCEPT_REJECT_METHOD = 20430
IMSLS_IDO = 20440
IMSLS_ROWS_ADD = 20441
IMSLS_ROWS_DELETE = 20442
IMSLS_X_INDICES = 20443
IMSLS_PRIOR_PROPORTIONAL = 20444
IMSLS_PRIOR_INPUT = 20445
IMSLS_PRIOR_OUTPUT = 20446
IMSLS_PRIOR_OUTPUT_USER = 20447
IMSLS_COEF = 20448
IMSLS_COEF_USER = 20449
IMSLS_CLASS_MEMBERSHIP = 20450
IMSLS_CLASS_MEMBERSHIP_USER = 20451
IMSLS_CLASS_TABLE = 20452
IMSLS_CLASS_TABLE_USER = 20453
IMSLS_MAHALANOBIS = 20454
IMSLS_MAHALANOBIS_USER = 20455
IMSLS_STATS = 20456
IMSLS_STATS_USER = 20457
IMSLS_PROB = 20458
IMSLS_PROB_USER = 20459
IMSLS_PRIOR_EQUAL = 20460
IMSLS_SIMPLE_LOWER_BOUNDS = 20470
IMSLS_SIMPLE_UPPER_BOUNDS = 20480
IMSLS_ACC = 20490
IMSLS_ACC_ADR = 20491
IMSLS_STOP_INFO = 20500
IMSLS_ACTIVE_CONSTRAINTS_INFO = 20510
IMSLS_ACTIVE_CONSTRAINTS_INFO_USER = 20520
IMSLS_PRINT_LEVEL = 20530
IMSLS_LINEAR_CONSTRAINTS = 20540
IMSLS_ALL_COLUMNS = 20550
IMSLS_FIRST_N_COLUMNS = 20560
IMSLS_SPECIFY_COLUMNS = 20570
IMSLS_SWAP = 20580
IMSLS_SWAP_USER = 20590
IMSLS_Q_STATISTIC = 20600
IMSLS_PROB_TABLE = 20610
IMSLS_P_VALUE = 20620
IMSLS_CHECK_NUMERICAL_ERROR = 20630
IMSLS_WORKSPACE = 20640
IMSLS_APPROXIMATION_PARAMETERS = 20650
IMSLS_NO_APPROXIMATION = 20660
IMSLS_B = 20670
IMSLS_B_ADR = 20675
IMSLS_X_COL_CENSORING = 20680
IMSLS_ITERATIONS = 20681
IMSLS_ITERATIONS_USER = 20682
IMSLS_X_COL_VARIABLES = 20683
IMSLS_SURVIVAL_INFO = 20684
IMSLS_XBETA = 20685
IMSLS_XBETA_USER = 20686
IMSLS_XPT_COLUMNS = 20689
IMSLS_PARTIAL_CORR = 20690
IMSLS_PARTIAL_COV = 20691
IMSLS_TEST = 20692
IMSLS_TEST_USER = 20693
IMSLS_INIT_INPUT = 20750
IMSLS_SUM_WEIGHTS = 20800
IMSLS_GROUPS = 20810
IMSLS_SUM_WEIGHTS_USER = 20820
IMSLS_INITIAL_EST_MEAN = 20830
IMSLS_INITIAL_EST_MEDIAN = 20840
IMSLS_MINIMAX_WEIGHTS = 20850
IMSLS_BETA = 20870
IMSLS_NO_CENTERING = 20880
IMSLS_CENTERING = 20890
IMSLS_N_DEPENDENT = 20900
IMSLS_SCPE = 20930
IMSLS_SCPE_USER = 20940
IMSLS_INDEX_REGRESSION = 20941
IMSLS_DFH = 20942
IMSLS_G = 20943
IMSLS_G_USER = 20944
IMSLS_GP = 20945
IMSLS_RANK_HP = 20946
IMSLS_H_MATRIX_USER = 20947
IMSLS_H_MATRIX = 20948
IMSLS_WILK_LAMBDA = 20950
IMSLS_ROY_MAX_ROOT = 20951
IMSLS_HOTELLING_TRACE = 20952
IMSLS_PILLAI_TRACE = 20953
IMSLS_KNOWN_BOUNDS_ADR = 20954
IMSLS_APPROXIMATION_PARAMETERS_ADR = 20960
IMSLS_INVERSE_TRANSFORM = 25000
IMSLS_ARMA_CONSTANT = 25010
IMSLS_ARMA_CONSTANT_ADR = 25015
IMSLS_VAR_NOISE = 25020
IMSLS_VAR_NOISE_ADR = 25025
IMSLS_INPUT_NOISE = 25030
IMSLS_OUTPUT_NOISE = 25040
IMSLS_OUTPUT_NOISE_USER = 25050
IMSLS_NONZERO_ARLAGS = 25060
IMSLS_NONZERO_MALAGS = 25070
IMSLS_INITIAL_W = 25080
IMSLS_START_PERIOD = 25090
IMSLS_MEAN_METHOD = 25100
IMSLS_NONSEASONAL_CONSTANT = 25125
IMSLS_NONSEASONAL_TREND = 25130
IMSLS_MAX_LAG = 25160
IMSLS_N_PARAMETERS = 25260
IMSLS_CHANGE_LOOP_MAXIMUM = 25360
IMSLS_COMPANION_METHOD = 25370
IMSLS_CENTER = 25390
IMSLS_ESTIMATION_METHOD = 25450
IMSLS_RESIDUALS = 25570
IMSLS_RESIDUALS_USER = 25580
IMSLS_FORECAST_CONFIDENCE = 25710
IMSLS_FORECAST_CONFIDENCE_ADR = 25711
IMSLS_FORECASTS = 25730
IMSLS_FORECASTS_USER = 25740
IMSLS_FUNCTION_WITH_PARAMS = 25770
IMSLS_JACOBIAN_WITH_PARAMS = 25780
IMSLS_GRAD_WITH_PARAMS = 25790
IMSLS_HESSIAN = 25830
IMSLS_HESSIAN_USER = 25840
IMSLS_UPDATE = 25920
IMSLS_SUM_METHOD = 26030
IMSLS_N_AGGREGATED_OBS = 26040
IMSLS_MAX_LAG_CCF = 26050
IMSLS_INPUT_MEANS = 26060
IMSLS_OUTPUT_MEANS = 26120
IMSLS_VARIANCES = 26130
IMSLS_CROSS_COVARIANCES = 26140
IMSLS_CROSS_COVARIANCES_USER = 26150
IMSLS_SE_CCF = 26160
IMSLS_SE_CCF_USER = 26170
IMSLS_ACV = 30001
IMSLS_ACV_USER = 30002
IMSLS_SEAC = 30003
IMSLS_SEAC_USER = 30004
IMSLS_X_MEAN_IN = 30005
IMSLS_X_MEAN_OUT = 30006
IMSLS_LAGMIN = 30008
IMSLS_METHOD_LAV = 30009
IMSLS_METHOD_LLP = 30010
IMSLS_METHOD_LMV = 30011
IMSLS_SEA = 30012
IMSLS_MAX_RESIDUAL = 30013
IMSLS_RESIDUALS_LP_NORM = 30014
IMSLS_SUM_RANK = 30015
IMSLS_SUM_RANK_USER = 30016
IMSLS_DISPERSION = 30017
IMSLS_DIFFERENCES = 30018
IMSLS_DIFFERENCES_USER = 30019
IMSLS_N_MISSING_X = 30020
IMSLS_N_MISSING_Y = 30021
IMSLS_DCUBE = 30022
IMSLS_DCUBE_USER = 30023
IMSLS_DSQUARE = 30024
IMSLS_DSQUARE_USER = 30025
IMSLS_PAIRS = 30026
IMSLS_PAIRS_USER = 30027
IMSLS_RUNS = 30028
IMSLS_RUNS_USER = 30029
IMSLS_EXPECT = 30030
IMSLS_RUNS_EXPECT = 30031
IMSLS_RUNS_EXPECT_USER = 30032
IMSLS_Y_MEANS = 30033
IMSLS_Y_MEANS_USER = 30034
IMSLS_SUM_FREQ = 30035
IMSLS_VAR_COL_DIM = 30038
IMSLS_VAR_USER = 30039
IMSLS_VAR = 30040
IMSLS_A = 30041
IMSLS_AIC = 30042
IMSLS_MAX_SIGMA = 30043
IMSLS_MAX_SIGMA_ADR = 30044
IMSLS_X_MEAN_IN_ADR = 30045
IMSLS_GET_INDEX_VECTORS = 40001
IMSLS_GET_INDEX_VECTORS_USER = 40002
IMSLS_SET_INDEX_VECTORS = 40003
IMSLS_INDEX_ONLY = 40004
IMSLS_TABLE_COL_DIM = 40005
IMSLS_POPULATION_COL_DIM = 40006
IMSLS_FIRST_CALL = 40007
IMSLS_FIRST_CALL_USER = 40008
IMSLS_ADDITIONAL_CALL = 40009
IMSLS_Z_COL_DIM = 40010
IMSLS_T_COL_DIM = 40011
IMSLS_COVB_COL_DIM = 40012
IMSLS_COVV_USER = 40013
IMSLS_COVV = 40014
IMSLS_T = 40015
IMSLS_BASE = 40016
IMSLS_SKIP = 40017
IMSLS_RETURN_SKIP = 40018
IMSLS_FCN_W_DATA = 40020
IMSLS_JACOBIAN_W_DATA = 40023
IMSLS_VARIANCES_USER = 40030
IMSLS_OUTPUT_MEANS_USER = 40031
IMSLS_RATIO = 40032
IMSLS_STRATIFICATION_COL = 40034
IMSLS_VARIANCE_COVARIANCE_MATRIX_USER = 40036
IMSLS_UPDATE_USER = 40037
IMSLS_STRATUM_NUMBER = 40038
IMSLS_STRATUM_NUMBER_USER = 40039
IMSLS_CLASS_VARIABLES = 40040
IMSLS_CLASS_VARIABLES_USER = 40041
IMSLS_POPULATION_SIZE = 40042
IMSLS_POPULATION_LIFE_TABLE = 40043
IMSLS_SORTED = 40044
IMSLS_LOCATIONS = 40102
IMSLS_RCBD = 40103
IMSLS_CRD = 40104
IMSLS_LOC_FIXED = 40105
IMSLS_LOC_RANDOM = 40106
IMSLS_WHOLE_FIXED = 40107
IMSLS_WHOLE_RANDOM = 40108
IMSLS_SPLIT_FIXED = 40109
IMSLS_SPLIT_RANDOM = 40110
IMSLS_GRAND_MEAN = 40112
IMSLS_WHOLE_PLOT_MEANS = 40113
IMSLS_WHOLE_PLOT_MEANS_USER = 40114
IMSLS_SPLIT_PLOT_MEANS = 40115
IMSLS_SPLIT_PLOT_MEANS_USER = 40116
IMSLS_TREATMENT_MEANS = 40117
IMSLS_TREATMENT_MEANS_USER = 40118
IMSLS_STD_ERRORS = 40120
IMSLS_STD_ERRORS_USER = 40121
IMSLS_N_BLOCKS = 40122
IMSLS_N_BLOCKS_USER = 40123
IMSLS_BLOCK_SS = 40124
IMSLS_BLOCK_SS_USER = 40125
IMSLS_WHOLE_PLOT_SS = 40126
IMSLS_WHOLE_PLOT_SS_USER = 40127
IMSLS_SPLIT_PLOT_SS = 40128
IMSLS_SPLIT_PLOT_SS_USER = 40129
IMSLS_WHOLE_PLOT_ERROR_SS = 40130
IMSLS_WHOLE_PLOT_ERROR_SS_USER = 40131
IMSLS_SPLIT_PLOT_ERROR_SS = 40132
IMSLS_SPLIT_PLOT_ERROR_SS_USER = 40133
IMSLS_CV = 40134
IMSLS_CV_USER = 40135
IMSLS_TOTAL_SS = 40136
IMSLS_TOTAL_SS_USER = 40137
IMSLS_WHOLEXSPLIT_PLOT_SS = 40138
IMSLS_WHOLEXSPLIT_PLOT_SS_USER = 40139
IMSLS_SUB_PLOT_MEANS = 40140
IMSLS_SUB_PLOT_MEANS_USER = 40141
IMSLS_LOCATION_ANOVA_TABLE = 40142
IMSLS_LOCATION_ANOVA_TABLE_USER = 40143
IMSLS_WHOLE_SPLIT_PLOT_MEANS = 40146
IMSLS_WHOLE_SPLIT_PLOT_MEANS_USER = 40147
IMSLS_WHOLE_SUB_PLOT_MEANS = 40148
IMSLS_WHOLE_SUB_PLOT_MEANS_USER = 40149
IMSLS_SPLIT_SUB_PLOT_MEANS = 40150
IMSLS_SPLIT_SUB_PLOT_MEANS_USER = 40151
IMSLS_SUB_FIXED = 40152
IMSLS_SUB_RANDOM = 40153
IMSLS_LEVENES_MEAN = 40155
IMSLS_LEVENES_MEDIAN = 40156
IMSLS_STUDENTIZED_RESIDUALS = 40157
IMSLS_STUDENTIZED_RESIDUALS_USER = 40158
IMSLS_STD_DEVS_USER = 40159
IMSLS_BARTLETTS = 40160
IMSLS_LEVENES = 40161
IMSLS_DESIGN = 40171
IMSLS_GET_SS = 40173
IMSLS_ERROR_SS = 40174
IMSLS_MISSING_INDEX = 40175
IMSLS_MISSING_INDEX_USER = 40176
IMSLS_GET_SS_W_DATA = 40177
IMSLS_SNK = 40180
IMSLS_DUNCANS_MRT = 40181
IMSLS_LSD = 40182
IMSLS_LOCATIONS_POOL = 40183
IMSLS_LOCATIONS_NOPOOL = 40184
IMSLS_FACTOR_MEANS = 40186
IMSLS_FACTOR_MEANS_USER = 40187
IMSLS_TWO_WAY_STD_ERRORS = 40188
IMSLS_TWO_WAY_STD_ERRORS_USER = 40189
IMSLS_TWO_WAY_MEANS = 40190
IMSLS_TWO_WAY_MEANS_USER = 40191
IMSLS_FACTOR_STD_ERRORS = 40192
IMSLS_FACTOR_STD_ERRORS_USER = 40193
IMSLS_TREATMENT_STD_ERROR = 40194
IMSLS_TREATMENT_STD_ERROR_USER = 40195
IMSLS_ANOVA_ROW_LABELS = 40200
IMSLS_ANOVA_ROW_LABELS_USER = 40201
IMSLS_STRIP_PLOT_A_FIXED = 40205
IMSLS_STRIP_PLOT_B_FIXED = 40206
IMSLS_STRIP_PLOT_A_RANDOM = 40207
IMSLS_STRIP_PLOT_B_RANDOM = 40208
IMSLS_STRIP_PLOT_A_MEANS = 40209
IMSLS_STRIP_PLOT_A_MEANS_USER = 40210
IMSLS_STRIP_PLOT_B_MEANS = 40211
IMSLS_STRIP_PLOT_B_MEANS_USER = 40212
IMSLS_STRIP_PLOT_AB_MEANS = 40213
IMSLS_STRIP_PLOT_AB_MEANS_USER = 40214
IMSLS_STRIP_PLOT_A_SPLIT_PLOT_MEANS = 40219
IMSLS_STRIP_PLOT_A_SPLIT_PLOT_MEANS_USER = 40220
IMSLS_STRIP_PLOT_B_SPLIT_PLOT_MEANS = 40221
IMSLS_STRIP_PLOT_B_SPLIT_PLOT_MEANS_USER = 40222
IMSLS_STRIP_A_FIXED = 40223
IMSLS_STRIP_B_FIXED = 40224
IMSLS_STRIP_A_RANDOM = 40225
IMSLS_STRIP_B_RANDOM = 40226
IMSLS_CLUSTERS = 40300
IMSLS_CLUSTERS_USER = 40301
IMSLS_COLUMNS = 40302
IMSLS_INDEX = 40303
IMSLS_OBS_PER_CLUSTER = 40304
IMSLS_OBS_PER_CLUSTER_USER = 40305
IMSLS_ROWS = 40306
IMSLS_TRANSFORMATION = 40307
IMSLS_ORTHOMAX_ROTATION = 40320
IMSLS_ORTHOMAX_ROTATION_USER = 40321
IMSLS_ORTHOGONAL_PROCRUSTES_ROTATION = 40322
IMSLS_ORTHOGONAL_PROCRUSTES_ROTATION_USER = 40323
IMSLS_DIRECT_OBLIMIN_ROTATION = 40324
IMSLS_DIRECT_OBLIMIN_ROTATION_USER = 40325
IMSLS_OBLIQUE_PROMAX_ROTATION = 40326
IMSLS_OBLIQUE_PROMAX_ROTATION_USER = 40327
IMSLS_OBLIQUE_PIVOTAL_PROMAX_ROTATION = 40328
IMSLS_OBLIQUE_PIVOTAL_PROMAX_ROTATION_USER = 40329
IMSLS_OBLIQUE_PROCRUSTES_ROTATION = 40330
IMSLS_OBLIQUE_PROCRUSTES_ROTATION_USER = 40331
IMSLS_FACTOR_STRUCTURE = 40332
IMSLS_FACTOR_STRUCTURE_USER = 40333
IMSLS_CENSOR_CODES = 40400
IMSLS_SORT_OPTION = 40401
IMSLS_BETA_GRID = 40402
IMSLS_K = 40403
IMSLS_SORTED_EVENT_TIMES = 40404
IMSLS_SORTED_EVENT_TIMES_USER = 40405
IMSLS_SORTED_CENSOR_CODES = 40406
IMSLS_SORTED_CENSOR_CODES_USER = 40407
IMSLS_K_GRID = 40408
IMSLS_CENSOR_CODES_COL = 40409
IMSLS_X_RESPONSE_COL = 40410
IMSLS_FREQ_RESPONSE_COL = 40411
IMSLS_STRATUM_NUMBER_COL = 40412
IMSLS_CONSTANT_COL = 40413
IMSLS_INPUT_N_CLASSES = 40500
IMSLS_EQUAL_FREQUENCY = 40501
IMSLS_OUTPUT_CUTPOINTS = 40502
IMSLS_OUTPUT_CUTPOINTS_USER = 40503
IMSLS_OUTPUT_N_CLASSES = 40504
IMSLS_N_VALID = 40505
IMSLS_INPUT_CUTPOINTS = 40506
IMSLS_SUPPLY_CENTER_SPREAD = 40510
IMSLS_RETURN_CENTER_SPREAD = 40511
IMSLS_SCALE_LIMITS = 40512
IMSLS_LAGS = 40513
IMSLS_ENCODE = 40514
IMSLS_DECODE = 40515
IMSLS_NO_TRANSFORM = 40516
IMSLS_SQUARE_ROOT = 40517
IMSLS_ARC_SIN = 40518
IMSLS_SQSS = 40519
IMSLS_SQSS_USER = 40520
IMSLS_N_CLASSES = 40521
IMSLS_CREATE_HIDDEN_LAYER = 40600
IMSLS_ACTIVATION_FCN = 40601
IMSLS_BIAS = 40602
IMSLS_LINK_ALL = 40603
IMSLS_LINK_NODE = 40604
IMSLS_LINK_LAYER = 40605
IMSLS_REMOVE_LINK = 40606
IMSLS_N_LINKS = 40607
IMSLS_DISPLAY_NETWORK = 40608
IMSLS_STAGE_I = 40609
IMSLS_NO_STAGE_II = 40610
IMSLS_CLASSIFICATION = 40611
IMSLS_PREDICTED_CLASS = 40612
IMSLS_PREDICTED_CLASS_USER = 40613
IMSLS_CLASS_ERROR = 40614
IMSLS_CLASS_ERROR_USER = 40615
IMSLS_WEIGHT_INITIALIZATION_METHOD = 40616
IMSLS_N_WEIGHTS = 40617
IMSLS_PREDICTED_CLASS_PROB = 40618
IMSLS_PREDICTED_CLASS_PROB_USER = 40619
IMSLS_LOGISTIC_TABLE = 40620
IMSLS_FILE = 40621
IMSLS_SUPPLY_CENTER_SPREAD_ADR = 40622
IMSLS_RETURN_CENTER_SPREAD_ADR = 40623
IMSLS_SCALE_LIMITS_ADR = 40624
IMSLS_DISCRETE_SMOOTHING_PARM_ADR = 40625
IMSLS_CONTINUOUS_SMOOTHING_PARM_ADR = 40626
IMSLS_ZERO_CORRECTION_ADR = 40627
IMSLS_LINEAR_SCALING_ADR = 40628
IMSLS_MUTATION_PROB_ADR = 40629
IMSLS_CROSSOVER_PROB_ADR = 40630
IMSLS_GENERATION_GAP_ADR = 40631
IMSLS_MAX_FITNESS_ADR = 40632
IMSLS_MEAN_ESTIMATE_ADR = 40633
IMSLS_GET_PRINT_TYPE = 50000
IMSLS_SET_PRINT_TYPE = 50010
IMSLS_DEFAULT_PRINT_PROC = 50020
IMSLS_WINDOWS_PRINT_PROC = 50030
IMSLS_CONSOLE_PRINT_PROC = 50040
IMSLS_RETURN_STRING = 50100
IMSLS_WRITE_TO_CONSOLE = 50110
IMSLS_BEST_PERIODS = 50120
IMSLS_BEST_PERIODS_USER = 50130
IMSLS_BEST_ORDERS = 50140
IMSLS_BEST_ORDERS_USER = 50150
IMSLS_AR_ORDER = 50160
IMSLS_D_INITIAL = 50170
IMSLS_LOG_LIKELIHOOD = 50180
IMSLS_NTIMES = 50190
IMSLS_GRID = 50200
IMSLS_GRID_USER = 50210
IMSLS_DELTA = 50220
IMSLS_CRITICAL = 50230
IMSLS_EPSILON = 50240
IMSLS_RESIDUAL_SIGMA = 50250
IMSLS_NUM_OUTLIERS = 50260
IMSLS_OUT_FREE_FORECAST_USER = 50290
IMSLS_OUT_FREE_FORECAST = 50300
IMSLS_OUTLIER_STATISTICS = 50310
IMSLS_OUTLIER_STATISTICS_USER = 50320
IMSLS_TAU_STATISTICS = 50330
IMSLS_TAU_STATISTICS_USER = 50340
IMSLS_OMEGA_WEIGHTS = 50350
IMSLS_OMEGA_WEIGHTS_USER = 50360
IMSLS_ARMA_PARAM = 50370
IMSLS_ARMA_PARAM_USER = 50380
IMSLS_P_INITIAL = 50390
IMSLS_Q_INITIAL = 50400
IMSLS_S_INITIAL = 50410
IMSLS_OUT_FREE_SERIES = 50420
IMSLS_OUT_FREE_SERIES_USER = 50430
IMSLS_NUM_PREDICT = 50440
IMSLS_OUTLIER_FORECAST = 50450
IMSLS_OUTLIER_FORECAST_USER = 50460
IMSLS_TIMES_ARRAY = 50470
IMSLS_TIMES_ARRAY_USER = 50480
IMSLS_DELTA_ADR = 50481
IMSLS_CRITICAL_ADR = 50482
IMSLS_EPSILON_ADR = 50483
IMSLS_XLO = 50490
IMSLS_XLO_USER = 50491
IMSLS_XHI = 50492
IMSLS_XHI_USER = 50493
IMSLS_DISCRETE_SMOOTHING_PARM = 50500
IMSLS_CONTINUOUS_SMOOTHING_PARM = 50501
IMSLS_ZERO_CORRECTION = 50502
IMSLS_SELECTED_PDF = 50503
IMSLS_USER_PDF = 50504
IMSLS_USER_PDF_WITH_PARMS = 50505
IMSLS_GAUSSIAN_PDF = 50506
IMSLS_GAMMA_PDF = 50507
IMSLS_LOG_NORMAL_PDF = 50508
IMSLS_POISSON_PDF = 50509
IMSLS_COUNT_TABLE = 50514
IMSLS_COUNT_TABLE_USER = 50515
IMSLS_USE_MISSING_VALUE_PATTERNS = 50516
IMSLS_IGNORE_MISSING_VALUE_PATTERNS = 50517
IMSLS_NB_CLASSIFIER = 50518
IMSLS_PRINT_WARNINGS = 50519
IMSLS_RANDOM_SEED = 50600
IMSLS_EXACT_P_VALUES = 50610
IMSLS_EXACT_P_VALUES_USER = 50611
IMSLS_MANN_WHITNEY = 50612
IMSLS_ADJ_ANOVA = 50613
IMSLS_ADJ_ANOVA_USER = 50614
IMSLS_PARALLEL_TESTS = 50615
IMSLS_PARALLEL_TESTS_USER = 50616
IMSLS_R_MATRIX = 50617
IMSLS_R_MATRIX_USER = 50618
IMSLS_XYMEAN = 50619
IMSLS_XYMEAN_USER = 50620
IMSLS_COV_MEANS = 50621
IMSLS_COV_MEANS_USER = 50622
IMSLS_COV_COEF = 50623
IMSLS_COV_COEF_USER = 50624
IMSLS_REG_ANOVA = 50625
IMSLS_REG_ANOVA_USER = 50626
IMSLS_COEF_TABLES = 50627
IMSLS_COEF_TABLES_USER = 50628
IMSLS_ZIGGURAT_METHOD = 50629
IMSLS_AICC = 50630
IMSLS_BIC = 50631
IMSLS_MODEL_SELECTION_CRITERION = 50632
IMSLS_GET_OMP_MKL_SINGLE_THREAD = 50633
IMSLS_SET_OMP_MKL_SINGLE_THREAD = 50634
IMSLS_BINARY = 50700
IMSLS_NOMINAL = 50701
IMSLS_INTEGER = 50702
IMSLS_REAL = 50703
IMSLS_PARENTS = 50704
IMSLS_WITH_REPLACEMENT = 50705
IMSLS_WITHOUT_REPLACEMENT = 50706
IMSLS_BINARY_SELECTION_PROB = 50707
IMSLS_NOMINAL_SELECTION_PROB = 50708
IMSLS_INTEGER_SELECTION_MODEL = 50709
IMSLS_REAL_SELECTION_MODEL = 50710
IMSLS_GRAY_ENCODING = 50711
IMSLS_BASE2_ENCODING = 50712
IMSLS_DOMINANCE = 50713
IMSLS_NO_DOMINANCE = 50714
IMSLS_ELITISM = 50715
IMSLS_NO_ELITISM = 50716
IMSLS_MAX_GENERATIONS = 50717
IMSLS_LINEAR_SCALING = 50718
IMSLS_SIGMA_SCALING = 50719
IMSLS_MUTATION_PROB = 50720
IMSLS_CROSSOVER_PROB = 50721
IMSLS_CROSSOVERS = 50722
IMSLS_SELECTION_MODEL = 50723
IMSLS_FITNESS = 50724
IMSLS_FITNESS_FCN = 50725
IMSLS_FITNESS_FCN_WITH_PARMS = 50726
IMSLS_GENERATION_STATS = 50727
IMSLS_LAST_GENERATION = 50728
IMSLS_GENERATION_GAP = 50729
IMSLS_N_GENERATIONS = 50730
IMSLS_MAX_FITNESS = 50731
IMSLS_VELOCITY = 50732
IMSLS_ON_LINE_PERFORMANCE = 50733
IMSLS_OFF_LINE_PERFORMANCE = 50734
IMSLS_N_PARENTS = 50735
IMSLS_NO_DECODE = 50736
IMSLS_PMX_CROSSOVER = 50737
IMSLS_INVERT_CROSSOVER = 50738
IMSLS_STANDARD_CROSSOVER = 50739
IMSLS_SWAP_MUTATION = 50740
IMSLS_SET_FUNCTIONS_THREAD_SAFE = 50741
IMSLS_GET_FUNCTIONS_THREAD_SAFE = 50742
IMSLS_REGRESSION = 50750
IMSLS_REGRESSION_FORECASTS = 50760
IMSLS_REGRESSION_INDICES = 50770
IMSLS_TREND = 50780
IMSLS_NO_TREND = 50781
IMSLS_REGRESSION_COEF = 50790
IMSLS_REGRESSION_COEF_USER = 50791
IMSLS_SE_COEF = 50792
IMSLS_SE_COEF_USER = 50793
IMSLS_Y_LOADINGS = 50794
IMSLS_Y_LOADINGS_USER = 50795
IMSLS_X_LOADINGS = 50796
IMSLS_X_LOADINGS_USER = 50797
IMSLS_Y_SCORES = 50798
IMSLS_Y_SCORES_USER = 50799
IMSLS_X_SCORES = 50800
IMSLS_X_SCORES_USER = 50801
IMSLS_PRESS = 50802
IMSLS_PRESS_USER = 50803
IMSLS_N_FOLD = 50804
IMSLS_CROSS_VALIDATION = 50805
IMSLS_N_COMPONENTS = 50806
IMSLS_Y_INDICES = 50807
IMSLS_SERIES_INCREMENT = 50808
IMSLS_ADDITIVE = 50811
IMSLS_SE_ARMA = 50813
IMSLS_SE_ARMA_USER = 50814
IMSLS_SERIES_SMOOTHED_USER = 50815
IMSLS_SERIES_SMOOTHED = 50816
IMSLS_PARAM_LB = 50820
IMSLS_PARAM_UB = 50821
IMSLS_USE_PARAMS = 50822
IMSLS_MLOGLIKE = 50823
IMSLS_NUMBER_OF_TRIALS = 50824
IMSLS_NUMBER_OF_FAILURES = 50825
IMSLS_GET_DEVICE = 50826
IMSLS_SET_ALL = 50827
IMSLS_COLUMN_WISE = 50826
IMSLS_REFERENCE_CLASS = 50828
IMSLS_COEFFICIENTS = 50829
IMSLS_X_INTERACTIONS = 50830
IMSLS_PREDERR = 50831
IMSLS_PREV_RESULTS = 50834
IMSLS_NEXT_RESULTS = 50835
IMSLS_REPLACEMENT_VALUE = 50840
IMSLS_REPLACEMENT_VALUE_ADR = 50841
IMSLS_IMPUTE_METHOD = 50842
IMSLS_PURGE = 50843
IMSLS_X_IMPUTED = 50844
IMSLS_X_IMPUTED_USER = 50845
IMSLS_METRIC_DIAG = 50846
IMSLS_MISSING_VALUE = 50847
IMSLS_MISSING_VALUE_ADR = 50848
IMSLS_SHORT = 50849
IMSLS_INT = 50850
IMSLS_LONG = 50851
IMSLS_FLOAT = 50852
IMSLS_DOUBLE = 50853
IMSLS_CHAR = 50854
IMSLS_DATETIME = 50855
IMSLS_DELIM = 50856
IMSLS_DATETIME_FORMAT = 50857
IMSLS_FILTERS = 50858
IMSLS_COLUMN_INDEX = 50859
IMSLS_IGNORE = 50860
IMSLS_REPLACEMENT_NUMBERS = 50861
IMSLS_REPLACEMENT_STRINGS = 50862
IMSLS_NRECS = 50863
IMSLS_NSKIP = 50864
IMSLS_VALS_PER_REC = 50865
IMSLS_NO_BINARY_CHECK = 50866
IMSLS_ALLOW_CHARS = 50867
IMSLS_SHORT_USER = 50868
IMSLS_INT_USER = 50869
IMSLS_LONG_USER = 50870
IMSLS_FLOAT_USER = 50871
IMSLS_DOUBLE_USER = 50872
IMSLS_CHAR_USER = 50873
IMSLS_DATETIME_USER = 50874
IMSLS_TIME_VAL = 50875
IMSLS_TIME_VAL_USER = 50876
IMSLS_IGNORE_BLANK_LINES = 50877
IMSLS_IGNORE_TEXT_IN_NUMERIC = 50878
IMSLS_GAMMA_PARAM = 50879
IMSLS_GAMMA_PARAM_ADR = 50880
IMSLS_LAMBDAS = 50881
IMSLS_UPPER_LIMITS = 50882
IMSLS_UPPER_LIMITS_USER = 50883
IMSLS_NULL_PROB = 50884
IMSLS_LRSTAT = 50885
IMSLS_MIN_OBSERVATIONS = 50886
IMSLS_GA_PARAMETERS = 50887
IMSLS_ISLAND = 50888
IMSLS_MAX_MIGRATIONS = 50889
IMSLS_STOP_ITERATIONS = 50890
IMSLS_AR_FIT = 50891
IMSLS_AR_FIT_USER = 50892
IMSLS_AR_STATS = 50893
IMSLS_AR_STATS_USER = 50894
IMSLS_PROB_DISTRIBUTION = 50895
IMSLS_AR_MODEL = 50896
IMSLS_MAX_AR_ORDER = 50897
IMSLS_SELECTION_CRITERION_VALUE = 50898
IMSLS_ABSOLUTE = 50899
IMSLS_SUPPLY_WORK_ARRAYS = 50900
IMSLS_MAX_SET_SIZE = 50901
IMSLS_MIN_SUPPORT = 50902
IMSLS_MIN_SUPPORT_ADR = 50903
IMSLS_ASSOCIATION_RULES = 50904
IMSLS_FREQUENT_ITEMSETS = 50905
IMSLS_UNION = 50906
IMSLS_COUNT = 50907
IMSLS_SUM = 50908
IMSLS_UPDATE_FREQ_ITEMSETS = 50909
IMSLS_CRITERIA = 50915
IMSLS_CONTROL = 50916
IMSLS_COST_MATRIX = 50917
IMSLS_ALPHAS = 50918
IMSLS_PRIORS = 50919
IMSLS_N_SURROGATES = 50920
IMSLS_N_FOLDS = 50921
IMSLS_VAR_NAMES = 50922
IMSLS_CLASS_NAMES = 50923
IMSLS_CATEG_NAMES = 50924
IMSLS_RESP_NAME = 50925
IMSLS_TEST_DATA = 50926
IMSLS_TEST_DATA_WEIGHTS = 50927
IMSLS_COMPLEXITY = 50928
IMSLS_MAX_CATEGORIES = 50929
IMSLS_X_NODE_IDS = 50930
IMSLS_X_NODE_IDS_USER = 50931
IMSLS_PRINT_MAX = 50932
IMSLS_ASSOCIATION_RULES_ADR = 50933
IMSLS_FREQUENT_ITEMSETS_ADR = 50934
IMSLS_TREND_ORDER = 50935
IMSLS_SEASONAL_ORDER = 50936
IMSLS_PERIOD = 50937
IMSLS_RIGIDITY = 50938
IMSLS_RIGIDITY_ADR = 50939
IMSLS_SEASONAL_SUM = 50940
IMSLS_SEASONAL_SUM_ADR = 50941
IMSLS_SPAN = 50942
IMSLS_OUTLIER_CORRECTION_OPTION = 50943
IMSLS_BETA_ADR = 50944
IMSLS_GAMMA_ADR = 50945
IMSLS_NONSEASONAL_TREND_USER = 50946
IMSLS_SEASONAL = 50947
IMSLS_SEASONAL_USER = 50948
IMSLS_IRREGULAR_COMPONENTS = 50949
IMSLS_IRREGULAR_COMPONENTS_USER = 50950
IMSLS_OUTLIER_CORRECTON_FACTOR = 50951
IMSLS_OUTLIER_CORRECTON_FACTOR_USER = 50952
IMSLS_SEASONAL_ADJUSTMANT = 50953
IMSLS_SEASONAL_ADJUSTMANT_USER = 50954
IMSLS_INTERMEDIATE_RESULTS = 50955
IMSLS_FINAL_RESULTS = 50956
IMSLS_SVM_C_SVC_TYPE = 50957
IMSLS_SVM_NU_SVC_TYPE = 50958
IMSLS_SVM_ONE_CLASS_TYPE = 50959
IMSLS_SVM_EPSILON_SVR_TYPE = 50960
IMSLS_SVM_NU_SVR_TYPE = 50961
IMSLS_SVM_KERNEL_LINEAR = 50962
IMSLS_SVM_KERNEL_POLYNOMIAL = 50963
IMSLS_SVM_KERNEL_RADIAL_BASIS = 50964
IMSLS_SVM_KERNEL_SIGMOID = 50965
IMSLS_SVM_KERNEL_PRECOMPUTED = 50966
IMSLS_SVM_WORK_ARRAY_SIZE = 50967
IMSLS_SVM_EPSILON = 50968
IMSLS_SVM_NO_SHRINKING = 50969
IMSLS_SVM_CROSS_VALIDATION = 50970
IMSLS_SVM_TRAIN_ESTIMATE_PROB = 50971
IMSLS_SVM_PREDICTED_CLASS_PROB = 50972
IMSLS_SVM_CLASSIFIER = 50973
IMSLS_DECISION_VALUES = 50974
IMSLS_DECISION_VALUES_USER = 50975
IMSLS_SVR_PROBABILITY = 50976
IMSLS_SVM_CROSS_VALIDATION_USER = 50977
IMSLS_SVM_TYPE = 50978
IMSLS_SVM_KERNEL_TYPE = 50979
IMSLS_LABELS = 50980
IMSLS_LABELS_USER = 50981
IMSLS_COMPLEXITY_ADR = 50982
IMSLS_CLUSTER_HISTORY = 50983
IMSLS_CLUSTER_HISTORY_USER = 50984
IMSLS_MA_LAG = 51000
IMSLS_MA_MODEL = 51001
IMSLS_PRESAMPLE = 51002
IMSLS_MA_CONSTANTS = 51003
IMSLS_AR_CONSTANTS = 51004
IMSLS_ERROR_CORRECTION = 51005
IMSLS_CAUSALITY = 51006
IMSLS_X_DATA = 51007
IMSLS_UNIT_ROOT = 51008
IMSLS_UNIT_ROOT_USER = 51009
IMSLS_A0 = 51010
IMSLS_VAR_INFO = 51011
IMSLS_VARMA_INFO = 51012
IMSLS_VECM_COEF = 51013
IMSLS_VECM_COEF_USER = 51014
IMSLS_VECM_ALPHABETA = 51015
IMSLS_VECM_ALPHABETA_USER = 51016
IMSLS_VECM_EIGENVALUES = 51017
IMSLS_VECM_EIGENVALUES_USER = 51018
IMSLS_CAUSALITY_STATS = 51019
IMSLS_SVM_C_SVC_TYPE_ADR = 51020
IMSLS_SVM_NU_SVC_TYPE_ADR = 51021
IMSLS_SVM_ONE_CLASS_TYPE_ADR = 51022
IMSLS_SVM_EPSILON_SVR_TYPE_ADR = 51023
IMSLS_SVM_NU_SVR_TYPE_ADR = 51024
IMSLS_SVM_WORK_ARRAY_SIZE_ADR = 51025
IMSLS_SVM_EPSILON_ADR = 51026
IMSLS_SVM_KERNEL_POLYNOMIAL_ADR = 51027
IMSLS_SVM_KERNEL_RADIAL_BASIS_ADR = 51028
IMSLS_SVM_KERNEL_SIGMOID_ADR = 51029
IMSLS_LAST_FLAG = 99999
